%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		iagno
Version:	3.38.1
Release:	%mkrel 2
Summary:	GNOME Reversi game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Boards
URL:		https://wiki.gnome.org/Iagno
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		iagno-3.38.1-git-gtkchild-ro.patch
Patch1:		iagno-3.38.1-git-gtkchild-unowned.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
Obsoletes:	iagno-extra-data
# for help
Requires:	yelp

%description
The GNOME version of Reversi. The goal is to control the most disks
on the board.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Reversi.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Reversi.gschema.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/apps/*.*
%{_metainfodir}/org.gnome.Reversi.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Reversi.service
%{_mandir}/man6/%{name}.6*


%changelog
* Wed Nov 16 2022 danf <danf> 3.38.1-2.mga9
+ Revision: 1907855
- Add upstream patches to fix build against gtk
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Oct 03 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632034
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625241
- new version 3.38.0

* Fri Aug 28 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1619382
- new version 3.37.91

* Fri Jul 03 2020 ovitters <ovitters> 3.36.4-1.mga8
+ Revision: 1601732
- new version 3.36.4

* Sat May 30 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589037
- new version 3.36.3

* Fri Apr 24 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1571746
- new version 3.36.2

* Mon Mar 09 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555125
- new version 3.36.0

* Wed Mar 04 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1553747
- Mageia 8 Mass Rebuild
+ ovitters <ovitters>
- new version 3.35.91

* Fri Feb 14 2020 ovitters <ovitters> 3.34.5-1.mga8
+ Revision: 1517078
- new version 3.34.5

* Mon Jan 06 2020 ovitters <ovitters> 3.34.4-1.mga8
+ Revision: 1476998
- new version 3.34.4

* Sat Nov 23 2019 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1462517
- new version 3.34.3

* Sat Oct 12 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1452346
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450397
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439241
- new version 3.34.0

* Tue Sep 03 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436504
- new version 3.33.92

* Sat Aug 17 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1429540
- new version 3.33.91

* Mon Aug 05 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427571
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392679
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374343
- new version 3.32.0
- switch to meson
- new version 3.31.91

* Tue Sep 04 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1257181
- new version 3.30.0

* Tue Mar 20 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1210819
- new version 3.28.0

* Fri Dec 15 2017 wally <wally> 3.26.1-1.mga7
+ Revision: 1182702
- new version 3.26.1

* Thu Sep 14 2017 cjw <cjw> 3.22.0-2.mga7
+ Revision: 1153845
- rebuild for new find_lang

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055016
- new version 3.22.0

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011282
- new version 3.20.2

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001325
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993758
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990750
- new version 3.19.92

* Tue Mar 01 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981278
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962456
- new version 3.19.90

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905154
- new version 3.19.1

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902680
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890024
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883094
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879588
- new version 3.17.92

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871860
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865427
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838476
- new version 3.17.1

* Tue Feb 17 2015 wally <wally> 3.14.2-2.mga5
+ Revision: 815323
- require yelp for showing help

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796300
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 748673
- Second Mageia 5 Mass Rebuild

* Fri Oct 10 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 737810
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719181
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 680403
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670556
- new version 3.13.91

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666673
- new version 3.13.90

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655175
- new version 3.13.4

* Sun Jun 15 2014 ovitters <ovitters> 3.12.2-2.mga5
+ Revision: 636448
- obsolete iagno-extra-data

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622087
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614073
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607935
- new version 3.12.0

* Sun Mar 16 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604239
- new version 3.11.92

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593375
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.2-1.mga5
+ Revision: 582982
- add appdata
- new version 3.11.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550178
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541416
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495863
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 483894
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480608
- new version 3.9.92

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474501
- new version 3.9.91

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468996
- new version 3.9.90
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.1-3.mga4
+ Revision: 440904
- Remove useless 'obsoletes'

* Sun Jun 09 2013 dams <dams> 3.8.1-2.mga4
+ Revision: 440828
- Better 'Obsoletes'

* Sun Jun 09 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 440812
- add 'libxml2-utils' as BR
- imported package iagno

